# ForkHub

<a href="https://play.google.com/store/apps/details?id=jp.forkhub" target="_blank">
  <img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" height="60"/>
</a>
<a href="https://f-droid.org/repository/browse/?fdid=jp.forkhub" target="_blank">
  <img src="https://f-droid.org/wiki/images/d/d3/F-Droid-button_bigger.png" height="60"/>
</a>

ForkHub started off as a fork of the official Android app from GitHub, and has since seen lots of improvements. You can see a comprehensive list of changes in the [change log](https://github.com/jonan/ForkHub/blob/master/CHANGELOG.md).

Please see the [issues](https://github.com/jonan/ForkHub/issues) section to
report any bugs or feature requests and to see the list of known issues.

## Acknowledgements

This project uses the [GitHub Java API](https://github.com/eclipse/egit-github/tree/master/org.eclipse.egit.github.core)
built on top of [API v3](https://developer.github.com/v3/).

It also uses many other open source libraries such as:

* [Picasso](http://square.github.io/picasso/)
* [CodeMirror](https://github.com/codemirror/CodeMirror)
* [ViewPagerIndicator](https://github.com/JakeWharton/Android-ViewPagerIndicator)
* [RoboGuice](https://github.com/roboguice/roboguice)

These are just a few of the major dependencies, the entire list of dependencies
is listed in the [app's Gradle file](https://github.com/jonan/ForkHub/blob/master/app/build.gradle).

## Contributing

Please fork this repository and contribute back using
[pull requests](https://github.com/jonan/ForkHub/pulls).

Any contributions, large or small, major features, bug fixes, additional
language translations, unit/integration tests are welcomed and appreciated
but will be thoroughly reviewed and discussed.

## License

* [Apache Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)
